pow.hpp File Reference
`#include <gecode/int/rel.hh>`
`#include <climits>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Arithmetic::ValuesMapPow< Ops >
| Mapping integer to power. More...
class | Gecode::Int::Arithmetic::ValuesMapNroot< Ops >
| Mapping integer (must be an n-th power) to n-th root. More...
class | Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops >
| Mapping integer (must be an n-th power) to n-th root (signed). More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Arithmetic
| Numerical (arithmetic) propagators.

## Functions

template<class VA, class VB, class Ops>
ExecStatus | Gecode::Int::Arithmetic::prop_pow_plus_bnd (Space &home, VA x0, VB x1, const Ops &ops)
template<class Ops>
ExecStatus | Gecode::Int::Arithmetic::prop_pow_bnd (Space &home, IntView x0, IntView x1, const Ops &ops)